<?php
	if ( !class_exists( 'ReduxFramework' ) && file_exists( dirname( __FILE__ ) . '/admin/reduxframework/ReduxCore/framework.php' ) ) {
	    require_once( dirname( __FILE__ ) . '/admin/reduxframework/ReduxCore/framework.php' );
	}
	if ( file_exists( dirname( __FILE__ ) . '/admin/reduxframework/config.php' ) ) {
	    require_once( dirname( __FILE__ ) . '/admin/reduxframework/config.php' );
	}

	/*
	 * Load Required/Recommended Plugins
	*/
	require_once get_template_directory() . '/core/apis/class-tgm-plugin-activation.php';
	require_once get_template_directory() . '/core/plugins_load.php';

	/*
	 * Load theme support
	*/
	require_once get_template_directory() . '/core/theme_support.php';

	/*
	 * Load theme register
	*/
	require_once get_template_directory() . '/core/theme_register.php';

	/*
	 * Load live composer
	*/
	require_once get_template_directory() . '/core/live_composer.php';

	/*
	 * Meta boxes
	*/
	require_once get_template_directory() . '/core/admin/metaboxes/example-functions.php';

	/*
	 * Load Bootstrap Menu Walker
	*/
	require_once get_template_directory() . '/core/apis/bootstrap_menu_walker.php';

	/*
	 * Load custom css and js
	*/
	require_once get_template_directory() . '/core/theme_styles_scripts.php';

	/*
	 * Load theme functions
	*/
	require_once get_template_directory() . '/core/theme_functions.php';

	/*
	 * Load custom widgets
	*/
	require_once get_template_directory() . '/core/widgets/ts_categories.php';
	require_once get_template_directory() . '/core/widgets/ts_recent_posts.php';
	require_once get_template_directory() . '/core/widgets/ts_flickr.php';
	require_once get_template_directory() . '/core/widgets/ts_popular_posts.php';
	require_once get_template_directory() . '/core/widgets/ts_testimonials.php';
	require_once get_template_directory() . '/core/widgets/ts_portfolio.php';
	require_once get_template_directory() . '/core/widgets/ts_toll_free.php';
	require_once get_template_directory() . '/core/widgets/ts_live_chat.php';